curl --request GET \
--url https://api.paygentic.io/v0/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sub_z1a2b3c4d5e6f7g8",
"object": "subscription",
"autoCharge": false,
"taxExempt": false,
"createdAt": "2024-01-10T08:00:00Z",
"customerId": "cus_q3r4s5t6u7v8w9x0",
"endingAt": null,
"estimatedTaxRate": 8.5,
"name": "StartupXYZ - Image Generation Service",
"payment": null,
"planId": "plan_t9u0v1w2x3y4z5a6",
"startedAt": "2024-01-10T08:00:00Z",
"status": "active",
"terminatedAt": null,
"terminatedBy": null,
"terminationReason": null,
"updatedAt": "2024-01-10T08:00:00Z"
},
{
"id": "sub_j1k2l3m4n5o6p7q8",
"object": "subscription",
"autoCharge": true,
"taxExempt": true,
"createdAt": "2024-02-01T14:45:30Z",
"customerId": "cus_r9s0t1u2v3w4x5y6",
"endingAt": "2024-12-31T23:59:59Z",
"estimatedTaxRate": 0,
"name": "Analytics Co - Data Platform Enterprise",
"payment": null,
"planId": "plan_z7a8b9c0d1e2f3g4",
"startedAt": "2024-02-01T14:45:30Z",
"status": "active",
"terminatedAt": null,
"terminatedBy": null,
"terminationReason": null,
"updatedAt": "2024-02-15T09:20:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 2
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}List
Authorizations
API key authentication
Query Parameters
Return subscriptions for this consumer organization. May be combined with merchantId to scope to a single consumer/merchant pair. Cannot be combined with customerId.
Unique identifier for an organization
^org_[a-zA-Z0-9]+$Return subscriptions for this customer. Cannot be combined with consumerId or merchantId.
Unique identifier for a customer
^cus_[a-zA-Z0-9]+$Number of subscriptions to return
Return subscriptions for this merchant organization. May be combined with consumerId to scope to a single consumer/merchant pair. Cannot be combined with customerId.
Unique identifier for an organization
^org_[a-zA-Z0-9]+$Number of subscriptions to skip
active, terminated, pending_payment Filter subscriptions started at or before this ISO 8601 date-time
Include related resources. When 'customer' is specified, each subscription includes merchant and consumer details.
customer Was this page helpful?